/// <reference types="zen-observable" />
import { ApolloLink, Observable, RequestHandler } from 'apollo-link';
import { ExecutionResult } from 'graphql';
export interface FetchOptions {
    uri?: string;
    fetch?: GlobalFetch['fetch'];
    includeExtensions?: boolean;
    credentials?: string;
    headers?: any;
    fetcherOptions?: any;
}
export declare const createHttpLink: ({uri, fetch: fetcher, includeExtensions, ...requestOptions}?: FetchOptions) => ApolloLink;
export declare class HttpLink extends ApolloLink {
    requester: RequestHandler;
    constructor(opts: FetchOptions);
    request(op: any): Observable<ExecutionResult> | null;
}
